# WOK
TKWOK
WOKStep

# WOKStep_TKReplace Class Reference

`#include <WOKStep_TKReplace.hxx>`

Inheritance diagram for WOKStep_TKReplace:

[legend]

## Public Member Functions

Standard_EXPORT void | LoadTKDefs ()
Standard_EXPORT Standard_Boolean | IsAuthorized (const Handle(TCollection_HAsciiString)&atk) const
Standard_EXPORT Handle_WOKMake_OutputFile | SubstituteInput (const Handle(WOKMake_InputFile)&infile)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKStep_TKReplace (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
virtual Standard_EXPORT Handle_TCollection_HAsciiString | AdmFileType () const
virtual Standard_EXPORT Handle_TCollection_HAsciiString | OutputDirTypeName () const
virtual Standard_EXPORT Standard_Boolean | HandleInputFile (const Handle(WOKMake_InputFile)&item)
| 1 - Adds File In list if file is compilable or an admfile 2 - Sets Build Flag if file is a compilable
Standard_EXPORT Handle_TCollection_HAsciiString | GetTKForUnit (const Handle(TCollection_HAsciiString)&aunit)

## Private Member Functions

virtual Standard_EXPORT void | Execute (const Handle(WOKMake_HSequenceOfInputFile)&execlist)
| Executes step Computes output files .

## Private Attributes

WOKTools_IndexedMapOfHAsciiString | myuds
WOKTools_IndexedMapOfHAsciiString | mytks
WOKTools_MapOfHAsciiString | myautorized
Standard_Boolean | myauthlist
WOKTools_MapOfHAsciiString | mydirecttks
WOKTools_MapOfHAsciiString | myorig
WOKTools_MapOfHAsciiString | mytreated
WOKTools_MapOfHAsciiString | myadded
Handle_TColStd_HArray2OfBoolean | mymatrix

## Constructor & Destructor Documentation

Standard_EXPORT WOKStep_TKReplace::WOKStep_TKReplace | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKStep_TKReplace::AdmFileType | ( |  | ) | const`[protected, virtual]`

| Reimplemented from WOKStep_LinkList.

virtual Standard_EXPORT void WOKStep_TKReplace::Execute | ( | const Handle(WOKMake_HSequenceOfInputFile)& | execlist | ) | `[private, virtual]`

| Implements WOKMake_Step.

Standard_EXPORT Handle_TCollection_HAsciiString WOKStep_TKReplace::GetTKForUnit | ( | const Handle(TCollection_HAsciiString)& | aunit | ) | `[protected]`

Standard_EXPORT const WOKStep_TKReplace::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKStep_LinkList. Reimplemented in WOKStep_DirectTKReplace, and WOKStep_TransitiveTKReplace.

virtual Standard_EXPORT Standard_Boolean WOKStep_TKReplace::HandleInputFile | ( | const Handle(WOKMake_InputFile)& | item | ) | `[protected, virtual]`

| Reimplemented from WOKStep_LinkList.

Standard_EXPORT Standard_Boolean WOKStep_TKReplace::IsAuthorized | ( | const Handle(TCollection_HAsciiString)& | atk | ) | const

Standard_EXPORT void WOKStep_TKReplace::LoadTKDefs | ( |  | ) |

virtual Standard_EXPORT Handle_TCollection_HAsciiString WOKStep_TKReplace::OutputDirTypeName | ( |  | ) | const`[protected, virtual]`

| Reimplemented from WOKStep_LinkList.

Standard_EXPORT Handle_WOKMake_OutputFile WOKStep_TKReplace::SubstituteInput | ( | const Handle(WOKMake_InputFile)& | infile | ) |

## Field Documentation

WOKTools_MapOfHAsciiString WOKStep_TKReplace::myadded `[private]`

Standard_Boolean WOKStep_TKReplace::myauthlist `[private]`

WOKTools_MapOfHAsciiString WOKStep_TKReplace::myautorized `[private]`

WOKTools_MapOfHAsciiString WOKStep_TKReplace::mydirecttks `[private]`

Handle_TColStd_HArray2OfBoolean WOKStep_TKReplace::mymatrix `[private]`

WOKTools_MapOfHAsciiString WOKStep_TKReplace::myorig `[private]`

WOKTools_IndexedMapOfHAsciiString WOKStep_TKReplace::mytks `[private]`

WOKTools_MapOfHAsciiString WOKStep_TKReplace::mytreated `[private]`

WOKTools_IndexedMapOfHAsciiString WOKStep_TKReplace::myuds `[private]`

The documentation for this class was generated from the following file:

- WOKStep_TKReplace.hxx